# $Revision: 1.93 $, $Date: 2009/06/03 20:20:39 $
#
# Conditional build:
%bcond_without	tests	# do not perform tests
#
Summary:	A collection of utilities and DSOs to handle compiled objects
Summary(pl.UTF-8):	Zestaw narzędzi i bibliotek do obsługi skompilowanych obiektów
Name:		elfutils
Version:	0.141
Release:	2
License:	GPL v2 with OSL linking exception
Group:		Development/Tools
Source0:	https://fedorahosted.org/releases/e/l/elfutils/%{name}-%{version}.tar.bz2
# Source0-md5:	2d0fe5651c0de1fd28e7dd006effe7d1
Patch0:		%{name}-pl.po.patch
Patch1:		%{name}-debian-manpages.patch
Patch2:		%{name}-portability.patch
Patch3:		%{name}-robustify.patch
Patch4:		%{name}-align.patch
Patch5:		%{name}-paxflags.patch
Patch6:		%{name}-sparc.patch
Patch7:		%{name}-inline.patch
Patch8:		%{name}-Werror.patch
Patch9:		%{name}-bashism.patch
Patch10:	%{name}-scanf.patch
URL:		https://fedorahosted.org/elfutils/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.7
BuildRequires:	gcc >= 5:3.4
BuildRequires:	gettext-devel
%ifarch %{x8664} alpha ia64 ppc64 s390x sparc64
# PR*FAST{8,16} in <inttypes.h> were broken for 64-bit archs in older versions
# also needed for nanosecond timestamps on alpha
BuildRequires:	glibc-devel >= 6:2.3.4
%endif
BuildRequires:	perl-tools-pod
BuildRequires:	rpmbuild(macros) >= 1.315
BuildRequires:	sharutils
%if %{with tests} && %(test -d /proc/self ; echo $?)
# native test needs proc (for libdwfl -p PID to work)
BuildRequires:	MOUNTED_PROC
%endif
Requires:	%{name}-libelf = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# fails to build with -Wl,-s
%define		filterout_ld	(-Wl,)?-[sS] (-Wl,)?--strip.*

%define		programprefix	eu-

%description
Elfutils is a collection of utilities, including ld (a linker), nm
(for listing symbols from object files), size (for listing the section
sizes of an object or archive file), strip (for discarding symbols),
readline (the see the raw ELF file structures), and elflint (to check
for well-formed ELF files). Also included are numerous helper
libraries which implement DWARF, ELF, and machine-specific ELF
handling.

%description -l pl.UTF-8
Elfutils to zestaw narzędzi, składający się z ld (linkera), nm (do
listowania symboli z plików obiektów), size (do listowania rozmiarów
sekcji plików obiektów lub archiwów), strip (do usuwania symboli),
readline (do oglądania surowych struktur plików ELF) oraz elflint (do
sprawdzania poprawności plików ELF). Dołączone są także liczne
biblioteki pomocnicze z zaimplementowaną obsługą DWARF, ELF i ELF
specyficznych dla architektury.

%package devel
Summary:	Development part of libraries to handle compiled objects
Summary(pl.UTF-8):	Część programistyczna bibliotek do obsługi skompilowanych obiektów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libelf-devel

%description devel
The elfutils-devel package contains the development part of libraries
to create applications for handling compiled objects. libelf allows
you to access the internals of the ELF object file format, so you can
see the different sections of an ELF file. libebl provides some
higher-level ELF access functionality. libdwarf provides access to the
DWARF debugging information. libasm provides a programmable assembler
interface.

%description devel -l pl.UTF-8
Pakiet elfutils-devel zawiera część programistyczną bibliotek do
tworzenia aplikacji obsługujących skompilowane obiekty. libelf pozwala
na dostęp do wnętrzności formatu pliku obiektowego ELF, co pozwala na
oglądanie różnych sekcji pliku ELF. libebl udostępnia funkcjonalność
dostępu do plików ELF trochę wyższego poziomu. libdwarf pozwala na
dostęp do informacji DWARF służących do odpluskwiania. libasm
udostępnia programowalny interfejs asemblera.

%package libelf
Summary:	Library to read and write ELF files
Summary(pl.UTF-8):	Biblioteki do odczytu i zapisu plików ELF
Group:		Libraries
#Obsoletes:	libelf

%description libelf
The elfutils-libelf package provides a DSO which allows reading and
writing ELF files on a high level. Third party programs depend on this
package to read internals of ELF files. The programs of the elfutils
package use it also to generate new ELF files.

%description libelf -l pl.UTF-8
Pakiet elfutils-libelf udostępnia bibliotekę dzieloną, która pozwala
na wysokopoziomowe czytanie i zapisywanie plików ELF. Inne programy
wymagają tego pakietu, aby odczytywać zawartość plików ELF. Programy z
pakietu elfutils używają jej także do generowania nowych plików ELF.

%package static
Summary:	Static libraries to handle compiled objects
Summary(pl.UTF-8):	Statyczne biblioteki do obsługi skompilowanych obiektów
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libelf-static

%description static
The elfutils-static package contains the static libraries to create
applications for handling compiled objects. libelf allows you to
access the internals of the ELF object file format, so you can see the
different sections of an ELF file. libebl provides some higher-level
ELF access functionality. libdwarf provides access to the DWARF
debugging information. libasm provides a programmable assembler
interface.

%description static -l pl.UTF-8
Pakiet elfutils-static zawiera statyczne biblioteki do tworzenia
aplikacji obsługujących skompilowane obiekty. libelf pozwala na dostęp
do wnętrzności formatu pliku obiektowego ELF, co pozwala na oglądanie
różnych sekcji pliku ELF. libebl udostępnia funkcjonalność dostępu do
plików ELF trochę wyższego poziomu. libdwarf pozwala na dostęp do
informacji DWARF służących do odpluskwiania. libasm udostępnia
programowalny interfejs asemblera.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

rm -f po/stamp-po

# temporarily disable test failing on specific archs
%ifarch alpha
%{__perl} -pi -e 's/run-elflint-self.sh//' tests/Makefile
%endif

%build
#%%{__gettextize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--program-prefix=%{programprefix}

# make check depends on test-nlist not stripped
%{__perl} -pi -e 's/^(LDFLAGS =.*)-s/$1/' tests/Makefile

%{__make}
%{__make} -C debian/man

%if %{with tests}
# some tests rely on English messages
LC_ALL=C \
%{__make} -C tests check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,/%{_lib}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install debian/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

mv $RPM_BUILD_ROOT%{_libdir}/{libelf-*.so,libelf.so.*} $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libelf-*.so) \
        $RPM_BUILD_ROOT%{_libdir}/libelf.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	libelf -p /sbin/ldconfig
%postun	libelf -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS EXCEPTION NEWS NOTES README THANKS TODO
%attr(755,root,root) %{_bindir}/eu-*
%attr(755,root,root) %{_libdir}/libasm-*.so
%ghost %attr(755,root,root) %{_libdir}/libasm.so.*
%attr(755,root,root) %{_libdir}/libdw-*.so
%ghost %attr(755,root,root) %{_libdir}/libdw.so.*
%dir %{_libdir}/elfutils
%attr(755,root,root) %{_libdir}/elfutils/lib*.so
%{_mandir}/man1/eu-*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libasm.so
%attr(755,root,root) %{_libdir}/libdw.so
%attr(755,root,root) %{_libdir}/libelf.so
%{_libdir}/libebl.a
%{_includedir}/elfutils
%{_includedir}/dwarf.h
%{_includedir}/gelf.h
%{_includedir}/libelf.h
%{_includedir}/nlist.h

%files libelf -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libelf-*.so
%ghost %attr(755,root,root) /%{_lib}/libelf.so.*

%files static
%defattr(644,root,root,755)
%{_libdir}/libasm.a
%{_libdir}/libdw.a
%{_libdir}/libelf.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: elfutils.spec,v $
Revision 1.93  2009/06/03 20:20:39  megabajt
- release 2

Revision 1.92  2009/05/02 13:13:38  sparky
- up to 0.141

Revision 1.91  2008/09/10 05:17:27  qboosh
- updated to 0.137
- updated portability,robustify + added fixes patch from Fedora
- updated pl.po-update patch
- added scanf patch for gcc < 4.3 compatibility

Revision 1.90  2008/08/19 16:28:31  qboosh
- URLs

Revision 1.89  2008-05-31 10:25:38  qboosh
- tests passed on sparc now (sparc64 assumed too, no way to check)

Revision 1.88  2008-05-31 10:22:58  qboosh
- gcc 3.4 is required (__builtin_popcount() in ldgeneric.c)

Revision 1.87  2008-05-31 09:45:22  qboosh
- updated to 0.135
- updated portability,robustify patches from FC
- updated pl.po,inline patches, removed outdated strip-copy-symtab patch

Revision 1.86  2008-02-14 09:29:59  arekm
- up to 0.132

Revision 1.85  2007-12-14 22:29:20  qboosh
- updated to 0.131
- updated pl.po patch, removed obsolete fixes patch

Revision 1.84  2007-11-03 15:48:46  qboosh
- updated to 0.130
- updated portability,robustify patches, added fixes patch from upstream
- updated inline patch, removed obsolete elflint-ppc-got patch

Revision 1.83  2007/09/15 19:43:59  qboosh
- libltdl is not required

Revision 1.82  2007/09/15 19:05:54  qboosh
- updated to 0.129
- updated pl.po,inline patch

Revision 1.81  2007/09/04 13:23:56  baggins
- rel 4
- fix ppc build

Revision 1.80  2007/09/04 12:18:53  baggins
- rel 3

Revision 1.79  2007/07/12 11:12:12  tommat
- disable run-elflint-self.sh on sparcs and alpha

Revision 1.78  2007/06/12 17:09:20  arekm
- rel 2

Revision 1.77  2007/06/11 21:12:19  qboosh
- updated doc

Revision 1.76  2007/06/11 21:10:21  qboosh
- updated to 0.128
- updated portability,strip-copy-symtab patches from FC
- updated pl.po patch
- removed obsolete alpha patch
- libelf po domain merged into main, so moved translations to -libelf package

Revision 1.75  2007/06/07 15:49:25  areq
- add Werror.patch
  http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2007-June/141329.html

Revision 1.74  2007/05/19 14:36:55  qboosh
- added inline patch instead of -fgnu89-inline to kill warnings from public libdw.h

Revision 1.73  2007/05/19 12:10:20  arekm
- rel 2

Revision 1.72  2007/05/01 14:04:19  qboosh
- updated to 0.127
- updated robustify patch from FC

Revision 1.71  2007/03/16 19:27:28  qboosh
- updated pl.po and alpha patches

Revision 1.70  2007/03/01 16:56:04  arekm
- up to 0.126

Revision 1.69  2007/02/18 17:08:40  qboosh
- updated to 0.125, updated pl.po patch

Revision 1.68  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.66  2007/02/07 08:53:08  arekm
- rel 3; package more symlinks

Revision 1.65  2006/12/02 12:55:48  pluto
- gcc4 fix, release 2.

Revision 1.64  2006/11/17 16:47:43  qboosh
- updated to 0.124
- updated portability patch and added strip-copy-symtab patch from FC
- updated alpha patch, removed obsolete kill-native patch

Revision 1.63  2006/08/26 10:33:59  qboosh
- well, since 0.120 whole elfutils License is GPL

Revision 1.62  2006/08/26 10:31:25  qboosh
- libelf License is GPL

Revision 1.61  2006/08/25 20:54:05  qboosh
- added kill-native patch (don't leave './native' process running after build)

Revision 1.60  2006/08/25 19:54:44  qboosh
- added sparc patch (now passes make check)
- dropped obsolete LD_LIBRARY_PATH setting ($ORIGIN not used by default)
- /proc is needed anyway for run-native-test.sh

Revision 1.59  2006/08/23 20:17:26  qboosh
- updated to 0.123, updated pl.po patch, removed obsolete cast patch

Revision 1.58  2006/08/19 14:25:00  qboosh
- filterout needs rpm.macros >= 1.315

Revision 1.57  2006/08/05 20:59:05  sparky
- filter-out strip flags -- fails to build: it's trying to filter those flags
  but leaves empty -Wl,

Revision 1.56  2006/07/22 09:21:28  qboosh
- updated to 0.122
- updated portability,robustify patches and added cast patch from FC
- updated alpha,pl.po patches, removed obsolete gcc4 patch

Revision 1.55  2006/07/01 20:30:26  qboosh
- updated to 0.121, updated pl.po,portability patches

Revision 1.54  2006/04/16 17:14:04  qboosh
- updated to 0.120, updated pl.po,portability,robustify,alpha patches

Revision 1.53  2006/02/05 17:49:00  qboosh
- updated to 0.119, updated alpha patch

Revision 1.52  2005/12/24 20:48:04  qboosh
- updated to 0.118
- updated portability patch from FC-devel
- removed obsolete sh patch, updated pl.po,alpha patches

Revision 1.51  2005/12/07 16:01:04  sparky
- added %zu type patch (gcc4)

Revision 1.50  2005/11/26 20:25:00  qboosh
- added alpha patch

Revision 1.49  2005/11/01 12:33:45  qboosh
- updated to 0.116
- updated portability,robustify patches from FC devel

Revision 1.48  2005/11/01 02:06:14  qboosh
- updated to 0.115, removed obsolete bswap patch
- updated portability,robustify patches from FC devel
- updated pl.po patch, added sh,paxflags patches

Revision 1.47  2005/06/21 20:41:48  qboosh
- updated pl.po patch, release 3

Revision 1.46  2005/06/21 19:40:55  qboosh
- added align patch, optimization on sparc is back

Revision 1.45  2005/06/20 22:07:57  baggins
- release 2
- we have a miscompilation problem
- turned off optimizations on sparc

Revision 1.44  2005/06/20 11:27:08  baggins
- updated to 0.108
- security fix (TODO removed)
- moved libelf so lib to /lib

Revision 1.43  2005/06/02 14:18:33  glen
- TODO security

Revision 1.42  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.41  2005/03/21 18:27:23  mmazur
- rel 2 for th

Revision 1.40  2005/01/09 20:10:33  qboosh
- updated to 0.97 (fixes for lib64 and gcc 4.0)

Revision 1.39  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.38  2004/08/11 21:18:25  qboosh
- it really requires C99 compiler - restored gcc 3.2 BR

Revision 1.37  2004/08/09 11:20:57  blues
- newer autoconf is needed

Revision 1.36  2004/08/01 16:02:44  qboosh
- updated alpha-stat patch for glibc 2.3.4 (now effective on sparc64 only); release 2

Revision 1.35  2004/07/09 19:58:49  qboosh
- BR: glibc-devel 2.3.4 on 64-bit archs (broken inttypes.h in older versions)

Revision 1.34  2004/06/05 00:26:30  qboosh
- one more comment (w/o LD_LIBRARY_PATH elflint used system libelf)

Revision 1.33  2004/06/05 00:21:54  qboosh
- made tests work without /proc (using LD_LIBRARY_PATH)

Revision 1.32  2004/06/04 13:45:04  pluto
- spaces -> tab.

Revision 1.31  2004/05/25 16:09:12  arekm
- updated to 0.95

Revision 1.30  2004/04/07 19:41:41  qboosh
- really updated */pl.po, fixed test-nlist (by not stripping it)

Revision 1.28  2004/04/02 20:21:01  pluto
- tests added (successful compilation doesn't guarantee proper behavior).

Revision 1.27  2004/04/02 17:41:33  pluto
- pl.po patch updated.
- release 1.

Revision 1.26  2004/04/02 17:12:43  pluto
- gcc 3.4 fixes done.
- release 0.2.

Revision 1.25  2004/04/01 15:33:23  pluto
- gcc 3.4 fixes / stage 1.

Revision 1.24  2004/04/01 15:18:41  pluto
- %%files
- po.pl needs update.

Revision 1.23  2004/04/01 14:41:39  pluto
- updated to 0.94.
- gcc 3.4 fixes NFY.
- release 0.1.

Revision 1.22  2004/01/16 12:11:40  qboosh
- added alpha-stat patch (fixes build on alpha), release 5

Revision 1.21  2004/01/16 10:07:39  jajcus
- Release: 4 (to build _and_tag_ for Ac)

Revision 1.20  2003/11/16 00:17:50  qboosh
- updated to 0.89 (from Fedora)
- updated my email in pl.po
- libebl is now static-only, so moved to -devel
- added debian-manpages patch (man pages from elfutils_0.84-4.diff.gz)

Revision 1.19  2003/10/12 16:02:05  blues
- cut non-PLD changelog

Revision 1.18  2003/08/23 14:15:22  mmazur
- rel 9 for ac

Revision 1.17  2003/08/12 22:32:47  ankry
- cosmetics

Revision 1.16  2003/06/11 08:17:47  qboosh
- fixed License

Revision 1.15  2003/05/28 11:18:03  djrzulf
- added working Source0, thanks for plikoskop.pl :*,

Revision 1.14  2003/05/28 10:22:54  djrzulf
- gettextized,

Revision 1.13  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.12  2003/05/25 05:47:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/17 17:17:40  mkochano
- BR: automake >= 1.7

Revision 1.10  2003/05/17 16:31:59  mkochano
- BR: autoconf >= 2.54.

Revision 1.9  2003/04/23 19:56:52  qboosh
- run make in build section
- added pl.po patch and gettext hack in install
- release 8

Revision 1.8  2003/04/12 10:15:25  radek
- obsoleting libelf by elfutils-libelf causes unability to compile
  rpm 4.2 with rpm 4.1; commented it out

Revision 1.7  2003/03/30 23:57:59  radzio
- BR: libltdl-devel

Revision 1.6  2003/03/29 00:09:41  qboosh
- pl descriptions, standardized libraries Groups

Revision 1.5  2003/03/28 16:31:03  wiget
- stupid typo

Revision 1.4  2003/03/27 17:28:00  wiget
- cut&paste typo
- release 6

Revision 1.3  2003/03/27 11:18:34  wiget
- release 5
- added static subpackage
- include all files  in packages

Revision 1.2  2003/03/25 13:32:34  wiget
- PLDized
